## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.mem0.ai/llms.txt)

Use this file to discover all available pages before exploring further.

---

### Code Examples

#### Python

```python
import requests

url = "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/"

payload = {
    "email": "<string>",
    "role": "<string>"
}
headers = {
    "Authorization": "Token <api-key>",
    "Content-Type": "application/json"
}

response = requests.request("PUT", url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch API)

```javascript
const options = {
  method: 'PUT',
  headers: {Authorization: 'Token <api-key>', 'Content-Type': 'application/json'},
  body: '{"email":"<string>","role":"<string>"}'
};

fetch('https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/', options)
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));
```

#### cURL

```bash
curl --request PUT \
  --url https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/ \
  --header 'Authorization: Token <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "<string>",
  "role": "<string>"
}'
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io/ioutil"
)

func main() {

url := "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/"

payload := strings.NewReader("{\n  \"email\": \"<string>\",\n  \"role\": \"<string>\"\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Token <api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
	fmt.Println(string(body))
}
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => "{\n  \"email\": \"<string>\",\n  \"role\": \"<string>\"\n}",
  CURLOPT_HTTPHEADER => [
    "Authorization: Token <api-key>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Java

```java
HttpResponse<String> response = Unirest.put("https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/")
  .header("Authorization", "Token <api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"<string>\",\n  \"role\": \"<string>\"\n}")
  .asString();
```

#### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"<string>\",\n  \"role\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
```

---

### Response Codes

- **200**: User role updated successfully.
- **403**: Unauthorized to modify project members.
- **404**: Organization or project not found

#### Example Responses

```json
{
  "message": "User role updated successfully."
}
```

```json
{
  "message": "Unauthorized to modify project members."
}
```

```json
{
  "message": "Organization or project not found"
}
```

### Authorizations

Authorization
- **Type**: string
- **Location**: header
- **Required**: API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

### Path Parameters

- **org_id**: Unique identifier of the organization. (required)
- **project_id**: Unique identifier of the project. (required)

### Body

- **email**: Email of the member to be updated (string, required)
- **role**: New role of the member in the project (string, required)
